# OS一键挂单

多账号一键挂单，批量设置价格，设置阶梯价格挂单，批量改价

有别于其他挂单平台以单个钱包对象为主，一键挂单以某个NFT为主要对象

1、输入需要挂单的NFT的合约地址

2、拖入多个账号的私钥，等待系统获取各个钱包的NFT数据

3、选择需要挂单的NFT，设置挂单价格

4，点击一键挂单

### 更快的获取Rank

1、安装油猴插件

{% embed url="<https://chrome.google.com/webstore/detail/tampermonkey/dhdgffkkebhmkfjojejmpbldmpobfkfo>" %}

2，添加 Rank 脚本

![](/files/kLhBfbnKvq5vDmZzyrSA)

3、点击下面代码框的右上角，复制所有代码，粘贴到第二步的红框内，保存即可

```
// ==UserScript==
// @name         Rank
// @namespace    https://cryptoweb3.tools/
// @version      1.1
// @description  使CryptoWeb3更快的获取到NFT的Rank
// @author       0xlover
// @match        https://nftnerds.ai/collection/*
// @match        https://test.cryptoweb3.tools/*
// @match        https://cryptoweb3.tools/*
// @icon         https://www.google.com/s2/favicons?sz=64&domain=nftnerds.ai
// @grant        none
// @license      MIT
// ==/UserScript==

(function () {
    let requesting = false;
    const cryptoWeb3ApiBaseUrl = "https://web-api.cryptoweb3.tools";
    const cryptoWeb3Url = "https://cryptoweb3.tools";

    let timer = setInterval(() => {
      const makeOrderPage = document.querySelector(".page_make_order")
      if (makeOrderPage) {
        const hasInstallRankScript = document.createElement('div');
        hasInstallRankScript.id = 'hasInstallRankScript';
        if(!document.querySelector("#hasInstallRankScript")) makeOrderPage.appendChild(hasInstallRankScript)
      }
    }, 1000)

    window.beforeXMLHttpRequestSend = async function (xhr, body) {
        const requestUrl = xhr?.__sentry_xhr__?.url
        const isCryptoWeb3 = window.location.ancestorOrigins[0]?.includes(cryptoWeb3Url)
        const isRarityReq = requestUrl?.includes("https://firebasestorage.googleapis.com/v0/b/nftnerds-rarity/o/")
        if (isCryptoWeb3 && isRarityReq) {
            const contract = /0x[a-fA-F0-9]{40}/.exec(requestUrl)[0]
            const key = /[0-9]{13}-[0-9]+-[0-9]+/.exec(requestUrl)[0]
            const token = /[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}/.exec(requestUrl)[0]
            if (requesting) return
            requesting = true
            const response = await fetch(`${cryptoWeb3ApiBaseUrl}/rank/pushRank`, {
                method: 'POST',
                headers: { 'Content-Type': 'application/json' },
                body: JSON.stringify({ contract, key, token })
            });
            const res = await response.json()
            if (res.data) {
                alert("Rank数据已更新！")
            }
            requesting = false
        }
    };
    XMLHttpRequest.prototype.mySend = XMLHttpRequest.prototype.send;
    XMLHttpRequest.prototype.send = function (body) {
        if ('function' === typeof window.beforeXMLHttpRequestSend) {
            window.beforeXMLHttpRequestSend(this, body);
        }
        this.mySend(body);
    };
})();

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cryptoweb3.tools/os-yi-jian-gua-dan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
